<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>ArrayUtils</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArrayUtils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArrayUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../de/rowlo/tridchess/util/BoardUtils.html" title="class in de.rowlo.tridchess.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/util/ArrayUtils.html" target="_top">Frames</a></li>
<li><a href="ArrayUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.util</div>
<h2 title="Class ArrayUtils" class="title">Class ArrayUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.util.ArrayUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ArrayUtils</span>
extends java.lang.Object</pre>
<div class="block">Figure and Field list specific utilities.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#ArrayUtils--">ArrayUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#copy-java.util.ArrayList-">copy</a></span>(java.util.ArrayList&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing the same elements as list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinExclude-java.util.ArrayList-java.util.ArrayList-">joinExclude</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
           java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinMatch-java.util.ArrayList-java.util.ArrayList-">joinMatch</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
         java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and add.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinUnique-java.util.ArrayList-java.util.ArrayList-">joinUnique</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
          java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing all elements that are part of list and
 add once.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#removeDuplicates-java.util.ArrayList-">removeDuplicates</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing every element of list exactly once.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/util/ArrayUtils.html#reverse-java.util.ArrayList-">reverse</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing the same elements as list in reverse
 order.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ArrayUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArrayUtils</h4>
<pre>public&nbsp;ArrayUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="joinMatch-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinMatch</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;joinMatch(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
                                                   java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</pre>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and add. Starts at end and stops on first mismatch.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dd><code>add</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
<a name="joinExclude-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinExclude</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;joinExclude(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
                                                     java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</pre>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dd><code>add</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
<a name="joinUnique-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinUnique</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;joinUnique(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
                                                    java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</pre>
<div class="block">Returns a new ArrayList containing all elements that are part of list and
 add once.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dd><code>add</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
<a name="removeDuplicates-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeDuplicates</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;removeDuplicates(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</pre>
<div class="block">Returns a new ArrayList containing every element of list exactly once.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
<a name="copy-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copy</h4>
<pre>public static&nbsp;java.util.ArrayList&nbsp;copy(java.util.ArrayList&nbsp;list)</pre>
<div class="block">Returns a new ArrayList containing the same elements as list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
<a name="reverse-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reverse</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;reverse(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</pre>
<div class="block">Returns a new ArrayList containing the same elements as list in reverse
 order.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>never null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArrayUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../de/rowlo/tridchess/util/BoardUtils.html" title="class in de.rowlo.tridchess.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/util/ArrayUtils.html" target="_top">Frames</a></li>
<li><a href="ArrayUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
